function [] = exportDataCONTI(typ,xorigin,xfilt,t,samples,name,dir)
%[] = exportCONTIwithFILT(typ,xorigin,xfilt,t,samples,name,dir)
%EXPORTCONTIWITHFILT zapíše dáta do textového súboru v príslušnom formáte,
%zapíše pôvodné aj filtrované dáta
%Vstupy:    typ - typ zápisu 'A' - teploty a záznam okolnej teplote
%               'B' - teploty + teplota vody + záznam o polohe + teplota
%               okolia
%           xorigin - dáta vo forme matice, kde riadky odpovedajú
%           jednotlivým meraniam
%           xfilt - dáta vo forme matice, kde riadky odpovedajú
%           filtrovaným dátam
%           t - riadkový vektor časových údajov
%           samples - pomocný bool odkaz k zapisovaniu do súboru,
%           rozdelujeme, ak nemáme záznamy o teplote - voliť '1'
%           name - názov exportovaného súboru
%           dir - cesta k zložke, kam sa vypíšu dáta

if nargin < 7
    prompt = {'Zadaj cestu zložky na uloženie dát'};
    title = 'Uloženie dát';
    dims = [1 35];
    dir = char(inputdlg(prompt,title,dims));
end
if nargin < 6
    prompt = {'Zadaj názov súboru'};
    title = 'Uloženie dát';
    dims = [1 35];
    nam = char(inputdlg(prompt,title,dims));
    name = sprintf('%s.txt',nam);
end
%% CESTA ZAPISNEHO SUBORU

oldpath = pwd;
try
    cd(dir)
catch
    error('Nepodarilo sa nájsť zložku');
end
try
    fileID = fopen(name,'wt');
catch
    error('Skontroluj formát názvu súboru');
end

fileID = fopen(name,'wt');

yworigin = xorigin';
ywfilt = xfilt';

%% CASOVE ZAZNAMY

t=t';

try

    if samples
       fprintf(fileID,'Sample[-]\t'); 
    else
       fprintf(fileID,'Time[s]\t'); 
    end

    switch typ
        case 'A'

    for i = 1:size(yworigin,2)-1
       fprintf(fileID,'T%d\t',i); 
    end
    fprintf(fileID,'Tok\t'); 

    for i = 1:size(ywfilt,2)-1
       fprintf(fileID,'T%dfilt.\t',i); 
    end

    fprintf(fileID,'Tokfilt.\n');

        case 'B'

            for i = 1:size(yworigin,2)-2
                fprintf(fileID,'T%d\t',i); 
            end
                fprintf(fileID,'K12\t');
                fprintf(fileID,'Tok\t'); 

            for i = 1:size(ywfilt,2)-2
               fprintf(fileID,'T%dfilt.\t',i); 
            end
                fprintf(fileID,'K12filt.\t');
                fprintf(fileID,'Tokfilt.\n');

    end

    %% ZAPIS ZVYSNYCH DAT

    for i = 1:size(yworigin,1)
        if samples
            fprintf(fileID,'%u\t',t(i,1));
        else
            fprintf(fileID,'%f\t',t(i,1));
        end
        fprintf(fileID,'%7f\t',yworigin(i,1:end));
        fprintf(fileID,'%7f\t',ywfilt(i,1:end-1));
        fprintf(fileID,'%7f\n',ywfilt(i,end));
    end

catch
    fclose(fileID);
    cd(oldpath);
end
fclose(fileID);
cd(oldpath);

end